Data Fields | Protected Member Functions

# RealSpriteGroup Struct Reference

Inheritance diagram for RealSpriteGroup:

## Data Fields
byte | num_loaded
| Number of loaded groups.
byte | num_loading
| Number of loading groups.
const SpriteGroup ** | loaded
| List of loaded groups (can be SpriteIDs or Callback results).
const SpriteGroup ** | loading
| List of loading groups (can be SpriteIDs or Callback results).
## Protected Member Functions
const SpriteGroup * | Resolve (ResolverObject *object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 101 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp